from cpl_core.configuration import ConfigurationABC

from modules.base.abc.base_helper_abc import BaseHelperABC
from modules.base.configuration.base_server_settings import BaseServerSettings


class BaseHelperService(BaseHelperABC):

    def __init__(self, config: ConfigurationABC):
        BaseHelperABC.__init__(self)
        self._config = config

    def get_config(self, g_id: int) -> BaseServerSettings:
        return self._config.get_configuration(f'BaseServerSettings_{g_id}')
